## hubzero-submit-server 0.8.1

=== Makefile ===
# Copyright 2006-2009 by Purdue Research Foundation, West Lafayette, IN 47906.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License, version 2.1 as published by the Free Software Foundation.

INSTDIR=$(DESTDIR)/opt
OWNER=apps
GROUP=apps
VARLOG=$(DESTDIR)/var/log
ETCDIR=$(DESTDIR)/etc

clean:
	rm -f build-stamp configure-stamp *.pyc

install:
	install --owner root --group root --mode 0775 -d $(INSTDIR)/opt
	install --owner $(OWNER) --group $(GROUP) --mode 0775 -d $(INSTDIR)/submit
	install --owner $(OWNER) --group $(GROUP) --mode 0775 -d $(VARLOG)/submit
	install server.py $(INSTDIR)/submit/server.py --owner $(OWNER) --group $(GROUP) --mode 0755
	install config $(INSTDIR)/submit/config --owner $(OWNER) --group $(GROUP) --mode 0755
	install --owner root --group root --mode 0700 -D submit $(ETCDIR)/init.d/submit

## hubzero-submit-server 1.0.2

=== Makefile ===
# @package      hubzero-submit-server
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2011 Purdue University
# All rights reserved.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.
#

USRBINDIR=$(DESTDIR)/usr/bin
OWNER=apps
GROUP=apps
VARLOGDIR=$(DESTDIR)/var/log
ETCDIR=$(DESTDIR)/etc
OPTDIR=$(DESTDIR)/opt

clean:
	rm -f build-stamp configure-stamp *.pyc

install:
	install --owner $(OWNER) --group $(GROUP) --mode 0775 -d $(USRBINDIR)
	install --owner $(OWNER) --group $(GROUP) --mode 0775 -d $(VARLOGDIR)/submit
	install --owner $(OWNER) --group $(GROUP) --mode 0775 -d $(OPTDIR)
	install --owner $(OWNER) --group $(GROUP) --mode 0775 -d $(OPTDIR)/submit

	install submit-server.py $(USRBINDIR)/submit-server.py --owner $(OWNER) --group $(GROUP) --mode 0755
	install config.tmpl $(OPTDIR)/submit/config.tmpl --owner $(OWNER) --group $(GROUP) --mode 0740

install-binary:
	install --owner root --group root --mode 0700 -D submit-server.init $(ETCDIR)/init.d/submit-server

## hubzero-submit-server 2.0.3

=== Makefile ===
# @package      hubzero-submit-server
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRSBINDIR=$(DESTDIR)/usr/sbin
VARLOGDIR=$(DESTDIR)/var/log
ETCDIR=$(DESTDIR)/etc

default all build:
	true

install:
	install --mode 0700 -D submit-server.init $(ETCDIR)/init.d/submit-server
	install --mode 0775 -d $(VARLOGDIR)/submit

	install submit-server.py -D $(USRSBINDIR)/submit-server.py --mode 0740
	install submit-server.conf.in -D $(ETCDIR)/submit/submit-server.conf --mode 0600

configure:
	true

clean:
	rm -f build-stamp configure-stamp *.pyc

## hubzero-submit-server 2.0.4

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-submit-server
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-submit-server 2.5.5

=== Makefile ===
--- 
+++ 
@@ -35,12 +35,17 @@
 install:
 	install --mode 0700 -D submit-server.init $(ETCDIR)/init.d/submit-server
 	install --mode 0775 -d $(VARLOGDIR)/submit
-
 	install submit-server.py -D $(USRSBINDIR)/submit-server.py --mode 0740
 	install submit-server.conf.in -D $(ETCDIR)/submit/submit-server.conf --mode 0600
+	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
 
 configure:
 	true
 
 clean:
-	rm -f build-stamp configure-stamp *.pyc
+	find . -name '*.pyc' -delete
+	rm -f build-stamp
+	rm -f configure-stamp
+	python setup.py clean
+	rm -fr build
+

## hubzero-submit-server 2.5.7

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-submit-server
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -25,22 +25,25 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-USRSBINDIR=$(DESTDIR)/usr/sbin
-VARLOGDIR=$(DESTDIR)/var/log
-ETCDIR=$(DESTDIR)/etc
+USRSBIN=$(DESTDIR)/usr/sbin
+VARLOG=$(DESTDIR)/var/log
+ETC=$(DESTDIR)/etc
 
-default all build:
-	true
+all:
+	@true
 
 install:
-	install --mode 0700 -D submit-server.init $(ETCDIR)/init.d/submit-server
-	install --mode 0775 -d $(VARLOGDIR)/submit
-	install submit-server.py -D $(USRSBINDIR)/submit-server.py --mode 0740
-	install submit-server.conf.in -D $(ETCDIR)/submit/submit-server.conf --mode 0600
+	install --mode 0700 -D submit-server.init $(ETC)/init.d/submit-server
+	install --mode 0775 -d $(VARLOG)/submit
+	install submit-server.py -D $(USRSBIN)/submit-server.py --mode 0740
+	install submit-server.conf.in -D $(ETC)/submit/submit-server.conf --mode 0600
 	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
 
-configure:
-	true
+uninstall:
+	@true
+
+postinst:
+	@true
 
 clean:
 	find . -name '*.pyc' -delete
@@ -49,3 +52,4 @@
 	python setup.py clean
 	rm -fr build
 
+.PHONY: all install uninstall postinst clean

## hubzero-submit-server 2.7.1.2

=== Makefile ===
--- 
+++ 
@@ -26,8 +26,15 @@
 #
 
 USRSBIN=$(DESTDIR)/usr/sbin
+ETC=$(DESTDIR)/etc
 VARLOG=$(DESTDIR)/var/log
-ETC=$(DESTDIR)/etc
+
+DISTRIBUTION := $(shell lsb_release -is)
+MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
+
+ifeq ($(DISTRIBUTION),Debian)
+il=--install-layout=deb
+endif
 
 all:
 	@true
@@ -37,7 +44,7 @@
 	install --mode 0775 -d $(VARLOG)/submit
 	install submit-server.py -D $(USRSBIN)/submit-server.py --mode 0740
 	install submit-server.conf.in -D $(ETC)/submit/submit-server.conf --mode 0600
-	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
+	python setup.py install $(COMPILE) --root $(DESTDIR) $(il)
 
 uninstall:
 	@true

## hubzero-submit-server 3.0.8

=== Makefile ===
# @package      hubzero-submit-server
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRSBIN=$(DESTDIR)/usr/sbin
ETC=$(DESTDIR)/etc
VARLOG=$(DESTDIR)/var/log

DISTRIBUTION := $(shell lsb_release -is)
MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)

ifeq ($(DISTRIBUTION),Debian)
il=--install-layout=deb
endif

all:
	@true

install:
	install --mode 0700 -D submit-server.init $(ETC)/init.d/submit-server
	install --mode 0775 -d $(VARLOG)/submit
	install submit-server.py -D $(USRSBIN)/submit-server.py --mode 0740
	install submit-server.conf.in -D $(ETC)/submit/submit-server.conf --mode 0600
	python setup.py install $(COMPILE) --root $(DESTDIR) $(il)

uninstall:
	@true

postinst:
	@true

clean:
	find . -name '*.pyc' -delete
	rm -f build-stamp
	rm -f configure-stamp
	python setup.py clean
	rm -fr build

.PHONY: all install uninstall postinst clean

## hubzero-submit-server 3.1.2-1+deb6

=== debian/changelog ===
hubzero-submit-server (3.1.2-1+deb6) unstable; urgency=low

  * Initialize daemon host to the submit server host.
  * New database operation added to copy any jobs that have no heartbeat and
    whose session has been terminated from job to joblog. This will clean so
    called orphan jobs out of the job table.    
  * Be more careful when checking client connection when it is known to have
    been detached.
  * Restore superjob

 -- Steven Clark <clarks@purdue.edu>  Tue, 13 Jun 2017 15:20:49 -0400

hubzero-submit-server (3.0.10-3) unstable; urgency=low

  * Make hubzero-submit-monitors a dependency since init.d
    script has it a starting pre-requisite

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 20 Oct 2016 10:55:08 -0400

hubzero-submit-server (3.0.10-1) unstable; urgency=low

  * Do not inject jobid into distributor argument list when it
    is not needed.  It is not need for --help and --version.
  * Added list of cache bot users.
  * Added base64 encoding for files exchanged between non-shared file systems.
  * Added --cacheId option for recording jobs that pull results from cache.
  * Use more os information in Pegasus workflow dax builds.
    Include arch, osFlavor, osVersion, osRelease

 -- Steven Clark <clarks@purdue.edu>  Mon, 11 Jul 2016 11:26:20 -0400

hubzero-submit-server (3.0.8-1) unstable; urgency=low

  * Another set of traps for os.getwd() failures
  * Trap closed connector and report transfer size as 0.
  * Added custom SSL cipher keys through configuration file.
  * Changed MySQL time difference calculation to avoid overflow.
  * Added cleanup session function to be used by administrator.
  * Correct retrieval of created session ID

 -- Steven Clark <clarks@purdue.edu>  Wed, 09 Mar 2016 14:37:31 -0500

hubzero-submit-server (3.0.1-1) unstable; urgency=low

  * Replaced string based data exchange API with JSON based exchange
  * Auto detect client - server disconnect
  * Added concept of submitter class.  This will allow PRO users to have
    higher priority when allocating job slots.
  * Removed 'venue' from session and sessionlog records to reflect
    change in database schema.
  * Added ability to specify cipher for LDAP connection.  Required on
    Debian 7 (wheezy) hosts.  Not needed for RedHat hosts.

 -- Steven Clark <clarks@purdue.edu>  Mon, 07 Sep 2015 19:08:43 -0400

hubzero-submit-server (2.7.2-1) unstable; urgency=low

  * fix build depends for debian 8

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 05 Sep 2015 19:17:04 -0400

hubzero-submit-server (2.7.1.2-1) unstable; urgency=low

  * use synchronous simple_bind_s() call

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 26 Feb 2015 14:11:21 -0500

hubzero-submit-server (2.7.1-1) unstable; urgency=low

  * release 2.7.1, normalizing packaging, updating copyrights
  * Cleanup inactive records
  * Added nCores to user metrics report
  * Use python logging module removing need for global write permissions
  * Standard daemonize method.
  * Optionally split middleware and user information databases.
  * Pass doubleDash from client configuration to distributor and friends.
  * Cleanup local execution termination by including job token
    for authentication.
  * Fixed reporting of number of cpus used by a job.
  * working directory must be set earlier for parametric arguments
  * Allow spaces in working directory path.
  * Pegasus is not required for sweeps.
  * Disconnect client/server when socket connection is broken.
  * Recursive tar not needed when generating entire explicit list,
    avoid duplicate copies in tar file.
  * Detect shared sshfs mounted file systems.

 -- Steven Clark <clarks@purdue.edu>  Tue, 23 Sep 2014 21:59:06 -0400

hubzero-submit-server (2.5.7-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 10 Sep 2014 13:15:58 -0400

hubzero-submit-server (2.5.6-1) unstable; urgency=low

  * Fix python version dependencies for Debian 7 package compatibility 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 25 Aug 2014 13:13:44 -0400

hubzero-submit-server (2.5.5-1) unstable; urgency=low

  * Fixed false connection close when receive empty message

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 31 Aug 2013 17:54:05 -0400

hubzero-submit-server (2.5.1-1) unstable; urgency=low

  * Update copyright statements 
  * Update package source Makefiles and python installation scripts
  * Replaced by common module BoundConnection
  * Added submit --kill id command
  * Added submit --status [id] command
  * Added support for use of unix sockets to communicate
    between execution and proxy servers.
  * Added support for future ability to detach from incomplete jobs,
    creating the ability to do asynchronous submission
  * Added support for future ability to (re)attach to incomplete jobs
  * Added the ability to name a simulation run with submit --runName
  * Unified log messages.
  * Cleanup the daemonization process to do a better job with
    regard to open file descriptors.
  * Added concept of operation mode for deducing function from
    command line arguments.  The same command parser is shared
    between all the primary submit programs.
  * More extensive command line argument checking and reporting.
  * Added option for use of ssl with MySQL database connection.
  * Added hostname name validation for submit
    client-server ssl certificates.
  * Do not count submit created sessions against user limit.
  * Filter more envionment variable on client-server connection.
  * Added support for future ability to detach from incomplete jobs,
    creating the ability to do asynchronous submission
  * Added support for future ability to (re)attach to incomplete jobs
  * Added support for use of unix sockets to communicate between
    execution and proxy servers.
  * Added session and PID information to monitorJob datastore
  * Added --version option to server, client, distributor.


## hubzero-submit-server 3.1.2-1+deb7

=== debian/changelog ===
hubzero-submit-server (3.1.2-1+deb7) unstable; urgency=low

  * Initialize daemon host to the submit server host.
  * New database operation added to copy any jobs that have no heartbeat and
    whose session has been terminated from job to joblog. This will clean so
    called orphan jobs out of the job table.    
  * Be more careful when checking client connection when it is known to have
    been detached.
  * Restore superjob

 -- Steven Clark <clarks@purdue.edu>  Tue, 13 Jun 2017 15:20:49 -0400

## hubzero-submit-server 3.1.2-1+deb8

=== debian/changelog ===
hubzero-submit-server (3.1.2-1+deb8) unstable; urgency=low

  * Initialize daemon host to the submit server host.
  * New database operation added to copy any jobs that have no heartbeat and
    whose session has been terminated from job to joblog. This will clean so
    called orphan jobs out of the job table.    
  * Be more careful when checking client connection when it is known to have
    been detached.
  * Restore superjob

 -- Steven Clark <clarks@purdue.edu>  Tue, 13 Jun 2017 15:20:49 -0400

## hubzero-submit-server 3.1.3-1+deb6

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 ETC=$(DESTDIR)/etc
 VARLOG=$(DESTDIR)/var/log
 
-DISTRIBUTION := $(shell lsb_release -is)
+DISTRIBUTION := $(shell lsb_release -i -s)
 MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
 
 ifeq ($(DISTRIBUTION),Debian)
@@ -49,7 +49,9 @@
 	python setup.py install $(COMPILE) --root $(DESTDIR) $(il)
 
 uninstall:
-	@true
+	rm -fr $(ETC)/init.d/submit-server
+	rm -fr $(USRSBIN)/submit-server.py
+	rm -fr $(ETC)/submit/submit-server.conf
 
 postinst:
 	@true

=== debian/changelog ===
hubzero-submit-server (3.1.3-1+deb6) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 10:10:31 -0400

hubzero-submit-server (3.1.2-1) unstable; urgency=low

  * Initialize daemon host to the submit server host.
  * New database operation added to copy any jobs that have no heartbeat and
    whose session has been terminated from job to joblog. This will clean so
    called orphan jobs out of the job table.    
  * Be more careful when checking client connection when it is known to have
    been detached.
  * Restore superjob

 -- Steven Clark <clarks@purdue.edu>  Tue, 13 Jun 2017 15:20:49 -0400

=== debian/control ===
Source: hubzero-submit-server
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8) , python-all  
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-submit-server
Architecture: all
Depends: hubzero-submit-common, python-scgi, python (>=2.6), hubzero-submit-monitors, hubzero-submit-distributor, ${misc:Depends}
Description: HUBzero submit server
 HUBzero job submission server

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-submit-server
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	cp $(CURDIR)/submit-server.init $(CURDIR)/debian/submit-server.init
	#>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	rm -f $(CURDIR)/debian/submit-server.init
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-submit-server COMPILE=--no-compile install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i --name=submit-server
	dh_installman -i
	dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-submit-server 3.1.3-1+deb7

=== debian/changelog ===
hubzero-submit-server (3.1.3-1+deb7) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 10:10:31 -0400

## hubzero-submit-server 3.1.3-1+deb8

=== debian/changelog ===
hubzero-submit-server (3.1.3-1+deb8) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 10:10:31 -0400

## hubzero-submit-server 3.2.8-1+deb8

=== debian/changelog ===
hubzero-submit-server (3.2.8-1+deb8) unstable; urgency=low

     - Improve reporting of what is executed in joblog:event.
     - Filter redundant jobs when determining exit status.
     - Doing encoding to treat non ascii characters in
       transferred data.
     - Modify working directory location if session directory
       exists as a broken link on the submit server.  This is
       known to happen when local disks are used to support
       simulation sessions running on a execution host.  The
       middleware is responsible for maintaining consistent
       data on the local drive the coresponding shared drive
       on the submit host.
     - Added exception handling around double fork daemonization

 -- Steven Clark <clarks@purdue.edu>  Thu, 12 Apr 2018 14:31:46 -0400

hubzero-submit-server (3.1.3-1) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 10:10:31 -0400

## hubzero-submit-server 3.2.9-1+deb7

=== debian/changelog ===
hubzero-submit-server (3.2.9-1+deb7) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 13 Jun 2018 15:26:13 -0400

hubzero-submit-server (3.2.8-1) unstable; urgency=low

     - Improve reporting of what is executed in joblog:event.
     - Filter redundant jobs when determining exit status.
     - Doing encoding to treat non ascii characters in
       transferred data.
     - Modify working directory location if session directory
       exists as a broken link on the submit server.  This is
       known to happen when local disks are used to support
       simulation sessions running on a execution host.  The
       middleware is responsible for maintaining consistent
       data on the local drive the coresponding shared drive
       on the submit host.
     - Added exception handling around double fork daemonization

 -- Steven Clark <clarks@purdue.edu>  Thu, 12 Apr 2018 14:31:46 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
-Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8) , python-all  
+Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8)  , python-all 
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

## hubzero-submit-server 3.2.9-1+deb8

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-submit-server
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

=== debian/changelog ===
hubzero-submit-server (3.2.9-1+deb8) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 13 Jun 2018 15:26:13 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
-Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8)  , python-all 
+Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8)   , dh-python
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 # @package      hubzero-submit-server
 # @file         rules
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

## hubzero-submit-server 3.4.2-1+deb8

=== debian/changelog ===
hubzero-submit-server (3.4.2-1+deb8) unstable; urgency=low

     - Update to version 3.4.2 (final)
     - Allow jobs with --disableJobMonitoring to run arbitrarily long.
     - Update to version 3.4.2
     - Disable heartbeat requirement for jobs run with --disableJobMonitoring.
     - Update to version 3.4.1
     - Improved loading of configuration files with better
       handling of error conditions.
     - Added --disableJobMonitoring.  This is available only
       for BOINC submission.  Rather than monitor job progress
       in the distributor process on the submit server updates
       are posted through the shared file system.  The objective
       is to greatly reduce the memory footprint of the monitoring
       process thus allowing many more simultaneous submissions.
     - Added more exception handling for database queries.
     - Parameterize SQL statements following SQL convention for substitution
       instead of using Python strings.
     - Use try/catch to trap database errors.
     - Added explicit database commit statements.
     - Modified quota checking when job is being run by ionhelper.  Quota of
       actual user is now checked.
     - Cleanup raw and zipped tar file when build operations fail.  Happens
       when /tmp is not large enough.
     - Fixed database connection in the absence of SSL parameters.
     - Record submit version in log file.
     - Added auto recovery for dropped client - server connection.
       (one time only)
     - Added --requestCache option for submit to directly query cache
       for result.
     - Redid commands related to recording cache jobs.  Both cache hits
       and cache misses can now be recorded.
     - Added option to run jobs as sudo user (ionhelper)
     - Kill run after maximum detached time.  Cleanup of abondoned submit
       processes.
     - Cleanup of Python2/3 data transfer over client-server connection.  Avoid
       large idle times that occurred in large many buffer data transfers.
     - Record origin of Rappture driver file (human,specbot,etc.).
     - Data on non-shared file systems is now compressed for transfer between
       client and server (both directions).
     - Release version 3.3.1.

 -- Steven Clark <clarks@purdue.edu>  Fri, 05 Jul 2019 15:53:46 -0400

hubzero-submit-server (3.2.9-1) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 13 Jun 2018 15:26:13 -0400

## hubzero-submit-server 3.4.3-3+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-submit-server
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 USRSBIN=$(DESTDIR)/usr/sbin

=== debian/changelog ===
hubzero-submit-server (3.4.3-3+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 16:34:29 -0700

hubzero-submit-server (3.4.3-1) unstable; urgency=low

     - update copyright/trademark ownership
     - update email address references
     - remove per file @author references
     - update copyright years
     - Generalized treatment of special trusted and sudo users. (ionhelper)
     - Added optional squid field in job/joblog tables.
     - Update to version 3.4.3

 -- Steven Clark <smclark@ucsd.edu>  Fri, 01 May 2020 12:29:17 -0700

hubzero-submit-server (3.4.2-1) unstable; urgency=low

     - Update to version 3.4.2 (final)
     - Allow jobs with --disableJobMonitoring to run arbitrarily long.
     - Update to version 3.4.2
     - Disable heartbeat requirement for jobs run with --disableJobMonitoring.
     - Update to version 3.4.1
     - Improved loading of configuration files with better
       handling of error conditions.
     - Added --disableJobMonitoring.  This is available only
       for BOINC submission.  Rather than monitor job progress
       in the distributor process on the submit server updates
       are posted through the shared file system.  The objective
       is to greatly reduce the memory footprint of the monitoring
       process thus allowing many more simultaneous submissions.
     - Added more exception handling for database queries.
     - Parameterize SQL statements following SQL convention for substitution
       instead of using Python strings.
     - Use try/catch to trap database errors.
     - Added explicit database commit statements.
     - Modified quota checking when job is being run by ionhelper.  Quota of
       actual user is now checked.
     - Cleanup raw and zipped tar file when build operations fail.  Happens
       when /tmp is not large enough.
     - Fixed database connection in the absence of SSL parameters.
     - Record submit version in log file.
     - Added auto recovery for dropped client - server connection.
       (one time only)
     - Added --requestCache option for submit to directly query cache
       for result.
     - Redid commands related to recording cache jobs.  Both cache hits
       and cache misses can now be recorded.
     - Added option to run jobs as sudo user (ionhelper)
     - Kill run after maximum detached time.  Cleanup of abondoned submit
       processes.
     - Cleanup of Python2/3 data transfer over client-server connection.  Avoid
       large idle times that occurred in large many buffer data transfers.
     - Record origin of Rappture driver file (human,specbot,etc.).
     - Data on non-shared file systems is now compressed for transfer between
       client and server (both directions).
     - Release version 3.3.1.

 -- Steven Clark <clarks@purdue.edu>  Fri, 05 Jul 2019 15:53:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: hubzero-submit-server
 Section: misc
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
-Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8)   , dh-python
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
+Build-Depends: debhelper (>= 8.0.0),    , dh-python 
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-submit-server
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.

## hubzero-submit-server 3.6.3-1+deb7

=== debian/changelog ===
hubzero-submit-server (3.6.3-1+deb7) unstable; urgency=low

    Clear broken pipe buffer to enable closing connection

 -- Steven Clark <smclark@ucsd.edu>  Tue, 16 May 2023 15:59:12 -0700

hubzero-submit-server (3.6.2-1) unstable; urgency=low

    - Explicitly close dropped stdin connection to distributor process.  Done to avoid excessive repeated disk eating log file message.
    - Change check for authorization timeout function. The id() function behaves differently with Python2/3.
    - Add treatment of sim2L's squid for submit jobs.  Each sim2L job will now include cache squid for job inputs.
    - Replace Python2 cmp() function with builtin id() comparison, replace broken deepcopy of _io.FileIO objects with simple copy

 -- Steven Clark <smclark@ucsd.edu>  Fri, 04 Nov 2022 00:09:21 -0700

hubzero-submit-server (3.6.0-2) unstable; urgency=low

     - update packaging to python3
     - Update to version 3.6.0
     - Upgrade to Python3
     - Added support for multiple configurable Pegasus versions.
     - mark config files as config

 -- Steven Clark <smclark@ucsd.edu>  Wed, 05 Jan 2022 16:08:49 -0800

hubzero-submit-server (3.5.0-2) unstable; urgency=low

     - mark config files as config

 -- Steven Clark <smclark@ucsd.edu>  Fri, 09 Jul 2021 16:44:21 -0700

hubzero-submit-server (3.5.0-1) unstable; urgency=low

     - Added new authorized action for reporting metrics for jobs
       run through the webservice.
     - Reduced chatter between client server while import/export
       tar files are exchanged.  Chatter was so heavy that it
       negatively impacted performance - an unnecessary slowing of
       response time.
     - Added PPK authentication between client and server to support
       webservice access.  Allows connection without benefit of HUB
       session environment.
     - Added individual clientId/serverId pair for each instantiation,
       used in PPK verification.
     - Update to version 3.5.0

 -- Steven Clark <smclark@ucsd.edu>  Thu, 08 Jul 2021 10:43:45 -0700

hubzero-submit-server (3.4.3-3) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 16:34:29 -0700

## hubzero-submit-server 3.6.3-1+deb10

=== debian/changelog ===
hubzero-submit-server (3.6.3-1+deb10) unstable; urgency=low

    Clear broken pipe buffer to enable closing connection

 -- Steven Clark <smclark@ucsd.edu>  Tue, 16 May 2023 15:59:12 -0700

## hubzero-submit-server 3.7.0-1+deb7

=== debian/changelog ===
hubzero-submit-server (3.7.0-1+deb7) unstable; urgency=low

     - Pass command arguments from client in bulk
    
     - Pass environment variables from client in bulk
    
     - Changed mount point detection to recognize shared
       mount.projfs file systems. This includes /data/projects.
       This avoids extra file transfer of potentially large files.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 18 May 2023 11:01:22 -0700

hubzero-submit-server (3.6.3-1) unstable; urgency=low

    Clear broken pipe buffer to enable closing connection

 -- Steven Clark <smclark@ucsd.edu>  Tue, 16 May 2023 15:59:12 -0700

## hubzero-submit-server 3.7.0-1+deb10

=== debian/changelog ===
hubzero-submit-server (3.7.0-1+deb10) unstable; urgency=low

     - Pass command arguments from client in bulk
    
     - Pass environment variables from client in bulk
    
     - Changed mount point detection to recognize shared
       mount.projfs file systems. This includes /data/projects.
       This avoids extra file transfer of potentially large files.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 18 May 2023 11:01:22 -0700

## hubzero-submit-server 3.7.1-1+deb7

=== debian/changelog ===
hubzero-submit-server (3.7.1-1+deb7) unstable; urgency=low

     - Update to 3.7.1

 -- Steven Clark <smclark@ucsd.edu>  Tue, 30 May 2023 07:53:49 -0700

hubzero-submit-server (3.7.0-1) unstable; urgency=low

     - Pass command arguments from client in bulk
    
     - Pass environment variables from client in bulk
    
     - Changed mount point detection to recognize shared
       mount.projfs file systems. This includes /data/projects.
       This avoids extra file transfer of potentially large files.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 18 May 2023 11:01:22 -0700

## hubzero-submit-server 3.7.1-1+deb10

=== debian/changelog ===
hubzero-submit-server (3.7.1-1+deb10) unstable; urgency=low

     - Update to 3.7.1

 -- Steven Clark <smclark@ucsd.edu>  Tue, 30 May 2023 07:53:49 -0700

## hubzero-submit-server 3.7.2-1+deb7

=== debian/changelog ===
hubzero-submit-server (3.7.2-1+deb7) unstable; urgency=low

     - Update to 3.7.2

 -- Steven Clark <smclark@ucsd.edu>  Wed, 20 Dec 2023 06:55:58 -0800

hubzero-submit-server (3.7.1-1) unstable; urgency=low

     - Update to 3.7.1

 -- Steven Clark <smclark@ucsd.edu>  Tue, 30 May 2023 07:53:49 -0700

## hubzero-submit-server 3.7.2-1+deb10

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	install --mode 0775 -d $(VARLOG)/submit
 	install submit-server.py -D $(USRSBIN)/submit-server.py --mode 0740
 	install submit-server.conf.in -D $(ETC)/submit/submit-server.conf --mode 0600
-	python setup.py install $(COMPILE) --root $(DESTDIR) $(il)
+	python3 setup.py install $(COMPILE) --root $(DESTDIR) $(il)
 
 uninstall:
 	rm -fr $(ETC)/init.d/submit-server

=== debian/changelog ===
hubzero-submit-server (3.7.2-1+deb10) unstable; urgency=low

     - Update to 3.7.2

 -- Steven Clark <smclark@ucsd.edu>  Wed, 20 Dec 2023 06:55:58 -0800

## hubzero-submit-server 3.8.1-1+deb7

=== debian/changelog ===
hubzero-submit-server (3.8.1-1+deb7) unstable; urgency=low

     - Fix Pegasus version setting for venue status command.
     - Terminate detached job by removing unix socket from /tmp
       Intended use is for cleanup of abandoned jobs
     - Disable Pegasus by setting pegasusVersion = 0.0.0 in submit-client.conf
       The setting is still preempted by the use command setting.
     - Fix reporting of exit status for redundant jobs
     - Report job exit status as the exit status for distributor
       and record result in joblog
     - Cleanup job related scripts upon job termination
     - Treat aborted jobs as complete during job monitoring
     - Update read config files across the board to read dictionary
       values in JSON format
     - Preemptive change to strings containing deprecated backslash characters.
       In Python 3.12 the DeprecationWarning is upgraded to a SyntaxWarning.

 -- Steven Clark <smclark@ucsd.edu>  Tue, 26 Jun 2025 07:43:02 -0700

hubzero-submit-server (3.7.4-1) unstable; urgency=low

     - Completed fix for slow Anvil response. select.select timeout no longer
       generates an exception, instead check for empty return arrays.

 -- Steven Clark <smclark@ucsd.edu>  Tue, 14 Jan 2025 10:00:45 -0700

hubzero-submit-server (3.7.3-1) unstable; urgency=low

     - Update to version 3.7.3
     - fix creation of /var/run/submit to be tmpfs compatible
     - Write pid to /var/run/submit/xxx.pid
     - Fix long idle time for local submission when submitting from Anvil
     - Finally making switch from init.d to systemd

 -- Steven Clark <smclark@ucsd.edu>  Fri, 14 Jun 2024 14:48:02 -0700

hubzero-submit-server (3.7.2-1) unstable; urgency=low

     - Update to 3.7.2

 -- Steven Clark <smclark@ucsd.edu>  Wed, 20 Dec 2023 06:55:58 -0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
-Build-Depends: debhelper (>= 8.0.0),    , dh-python 
+Build-Depends: debhelper (>= 8.0.0),  , python-all,python-support   
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

## hubzero-submit-server 3.8.1-1+deb10

=== debian/changelog ===
hubzero-submit-server (3.8.1-1+deb10) unstable; urgency=low

     - Fix Pegasus version setting for venue status command.
     - Terminate detached job by removing unix socket from /tmp
       Intended use is for cleanup of abandoned jobs
     - Disable Pegasus by setting pegasusVersion = 0.0.0 in submit-client.conf
       The setting is still preempted by the use command setting.
     - Fix reporting of exit status for redundant jobs
     - Report job exit status as the exit status for distributor
       and record result in joblog
     - Cleanup job related scripts upon job termination
     - Treat aborted jobs as complete during job monitoring
     - Update read config files across the board to read dictionary
       values in JSON format
     - Preemptive change to strings containing deprecated backslash characters.
       In Python 3.12 the DeprecationWarning is upgraded to a SyntaxWarning.

 -- Steven Clark <smclark@ucsd.edu>  Tue, 26 Jun 2025 07:43:02 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
-Build-Depends: debhelper (>= 8.0.0),  , python-all,python-support   
+Build-Depends: debhelper (>= 8.0.0),     , dh-python
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

## hubzero-submit-server 3.8.2-1+deb7

=== debian/changelog ===
hubzero-submit-server (3.8.2-1+deb7) unstable; urgency=low

     - 3.8.2 packaging

 -- Steven Clark <clarksm@purdue.edu>  Thu, 30 Oct 2025 13:50:33 -0400

hubzero-submit-server (3.8.1-1) unstable; urgency=low

     - Fix Pegasus version setting for venue status command.
     - Terminate detached job by removing unix socket from /tmp
       Intended use is for cleanup of abandoned jobs
     - Disable Pegasus by setting pegasusVersion = 0.0.0 in submit-client.conf
       The setting is still preempted by the use command setting.
     - Fix reporting of exit status for redundant jobs
     - Report job exit status as the exit status for distributor
       and record result in joblog
     - Cleanup job related scripts upon job termination
     - Treat aborted jobs as complete during job monitoring
     - Update read config files across the board to read dictionary
       values in JSON format
     - Preemptive change to strings containing deprecated backslash characters.
       In Python 3.12 the DeprecationWarning is upgraded to a SyntaxWarning.

 -- Steven Clark <clarksm@purdue.edu>  Tue, 26 Jun 2025 07:43:02 -0700

## hubzero-submit-server 3.8.2-1+deb10

=== debian/changelog ===
hubzero-submit-server (3.8.2-1+deb10) unstable; urgency=low

     - 3.8.2 packaging

 -- Steven Clark <clarksm@purdue.edu>  Thu, 30 Oct 2025 13:50:33 -0400

=== debian/rules ===
--- 
+++ 
@@ -85,7 +85,8 @@
 	dh_installlogrotate -i
 	dh_installinit -i --name=submit-server
 	dh_installman -i
-	dh_python2 -i
+	if [ $(DEB_MAJOR) -gt 11 ]; then dh_python3 -i; fi
+	if [ $(DEB_MAJOR) -lt 12 ]; then dh_python2 -i; fi
 	dh_link -i
 	dh_strip -i
 	dh_lintian -i

## hubzero-submit-server 3.8.2-1+deb12

=== debian/changelog ===
hubzero-submit-server (3.8.2-1+deb12) unstable; urgency=low

     - 3.8.2 packaging

 -- Steven Clark <clarksm@purdue.edu>  Thu, 30 Oct 2025 13:50:33 -0400

=== debian/control ===
Source: hubzero-submit-server
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0),      , dh-python
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-submit-server
Architecture: all
Depends: hubzero-submit-common, python-scgi, python (>=2.6), hubzero-submit-monitors, hubzero-submit-distributor, ${misc:Depends}, ${python3:Depends}
Description: HUBzero submit server
 HUBzero job submission server

## hubzero-submit-server 3.9.1-1+deb7

=== debian/changelog ===
hubzero-submit-server (3.9.1-1+deb7) unstable; urgency=low

     - Increased verbosity for missing Peagsus files error message.

 -- Steven Clark <clarksm@purdue.edu>  Thu, 13 Nov 2025 14:02:55 -0400

hubzero-submit-server (3.8.2-1) unstable; urgency=low

     - 3.8.2 packaging

 -- Steven Clark <clarksm@purdue.edu>  Thu, 30 Oct 2025 13:50:33 -0400

## hubzero-submit-server 3.9.1-1+deb10

=== debian/changelog ===
hubzero-submit-server (3.9.1-1+deb10) unstable; urgency=low

     - Increased verbosity for missing Peagsus files error message.

 -- Steven Clark <clarksm@purdue.edu>  Thu, 13 Nov 2025 14:02:55 -0400
